.sdlc-container.position-relative
  .sdlc-description
    = link_to "/concurrent-devops", class: "title-link" do
      %h2 Product Categories moving to Viable in FY20

  .table-container

    .sdlc-table
      - Gitlab::Homepage::Stage.all!.select{|stage| stage.marketing}.each do |stage|
        .sdlc-column
          .stage-container
            %a{href: "/stages-devops-lifecycle/#{stage.key}/"}
              = partial "/includes/icons/sdlc-icons/#{stage.key}.svg"
            %a{href: "/stages-devops-lifecycle/#{stage.key}/"}
              %p #{stage.display_name}
          .solutions-container
            - active_categories = stage.categories.select { |c| c.minimal && c.minimal <= Date.new(2019,1,1)}
            - upcoming_categories = stage.categories.select { |c| c.viable && c.viable >= Date.new(2019,1,1)}
            .future-categories
              - upcoming_categories.each do |category|
                %p
                  - url = category.best_link
                  %a.future-category{ href: "#{url}", target: "_blank" } #{category.name}
